/*
 * Copyright 2019 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

#ifndef LITTLEVGL_SUPPORT_H
#define LITTLEVGL_SUPPORT_H

#include <stdint.h>

/*******************************************************************************
 * Definitions
 ******************************************************************************/

#ifdef USE_NXP_DISPLAY
#define LCD_WIDTH             480
#define LCD_HEIGHT            272
#else
#ifdef USE_800x480 // Adafruit 5" 800x480 display - https://www.adafruit.com/product/1596
#define LCD_WIDTH 800
#define LCD_HEIGHT 480
#else // Adafruit 5" 800x480 display at 640x480 resolution
#define LCD_WIDTH 600
#define LCD_HEIGHT 480
#endif
#endif
#define LCD_FB_BYTE_PER_PIXEL 2

/*******************************************************************************
 * API
 ******************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

void lv_port_pre_init(void);
void lv_port_disp_init(void);
void lv_port_indev_init(void);

#if defined(__cplusplus)
}
#endif

#endif /*LITTLEVGL_SUPPORT_H */
